## org.apache.fop.render.xml
Class XMLRenderer

    java.lang.Object
      |
      +--org.apache.fop.render.xml.XMLRenderer

public class XMLRenderer
extends java.lang.Object
implements Renderer

Renderer that renders areas to XML for debugging purposes.

Field Summary
`protected int` `indent` indentation to use for pretty-printing the XML
`protected java.lang.String` `producer` the application producing the XML
`protected java.io.PrintWriter` `writer` the writer used to output the XML

Constructor Summary
`XMLRenderer()`

Method Summary
`void` `render(AreaTree areaTree, java.io.OutputStream stream)` render the areas into XML
`void` `renderAreaContainer(AreaContainer area)` render an area container to XML
`void` `renderBlockArea(BlockArea area)` render a block area to XML
`void` `renderBodyAreaContainer(BodyAreaContainer area)` render a body area container to XML
`void` `renderDisplaySpace(DisplaySpace space)` render a display space to XML
`void` `renderForeignObjectArea(ForeignObjectArea area)` render a foreign object area
`void` `renderImageArea(ImageArea area)` render an image area to XML
`void` `renderInlineSpace(InlineSpace space)` render an inline space to XML
`void` `renderLeaderArea(LeaderArea area)` render a leader area to XML
`void` `renderLineArea(LineArea area)` render a line area to XML
`void` `renderPage(Page page)` render a page to XML
`void` `renderSpanArea(SpanArea area)` render a span area to XML
`void` `renderSVGArea(SVGArea area)` render an SVG area to XML
`void` `renderWordArea(WordArea area)` render an inline area to XML
`void` `setProducer(java.lang.String producer)` set the document's producer
`void` `setupFontInfo(FontInfo fontInfo)` set up the font info
`protected void` `writeElement(java.lang.String element)` write out an element
`protected void` `writeEmptyElementTag(java.lang.String tag)` write out an empty-element-tag
`protected void` `writeEndTag(java.lang.String tag)` write out an end tag
`protected void` `writeIndent()` write out spaces to make indent
`protected void` `writeStartTag(java.lang.String tag)` write out a start tag

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indent

    protected int indent

  indentation to use for pretty-printing the XML

### producer

    protected java.lang.String producer

  the application producing the XML

### writer

    protected java.io.PrintWriter writer

  the writer used to output the XML

Constructor Detail

### XMLRenderer

    public XMLRenderer()

Method Detail

### setProducer

    public void setProducer(java.lang.String producer)

  set the document's producer
  Specified by:
    setProducer in interface Renderer
  Parameters:
    `producer` - string indicating application producing the XML

### render

    public void render(AreaTree areaTree,
                       java.io.OutputStream stream)
                throws java.io.IOException

  render the areas into XML
  Specified by:
    render in interface Renderer
  Parameters:
    `areaTree` - the laid-out area tree
    `stream` - the OutputStream to give the XML to

### writeIndent

    protected void writeIndent()

  write out spaces to make indent

### writeElement

    protected void writeElement(java.lang.String element)

  write out an element
  Parameters:
    `element` - the full text of the element including tags

### writeEmptyElementTag

    protected void writeEmptyElementTag(java.lang.String tag)

  write out an empty-element-tag
  Parameters:
    `tag` - the text of the tag

### writeEndTag

    protected void writeEndTag(java.lang.String tag)

  write out an end tag
  Parameters:
    `tag` - the text of the tag

### writeStartTag

    protected void writeStartTag(java.lang.String tag)

  write out a start tag
  Parameters:
    `tag` - the text of the tag

### setupFontInfo

    public void setupFontInfo(FontInfo fontInfo)

  set up the font info
  Specified by:
    setupFontInfo in interface Renderer
  Parameters:
    `fontInfo` - the font info object to set up

### renderAreaContainer

    public void renderAreaContainer(AreaContainer area)

  render an area container to XML
  Specified by:
    renderAreaContainer in interface Renderer
  Parameters:
    `area` - the area container to render

### renderBodyAreaContainer

    public void renderBodyAreaContainer(BodyAreaContainer area)

  render a body area container to XML
  Specified by:
    renderBodyAreaContainer in interface Renderer
  Parameters:
    `area` - the body area container to render

### renderSpanArea

    public void renderSpanArea(SpanArea area)

  render a span area to XML
  Specified by:
    renderSpanArea in interface Renderer
  Parameters:
    `area` - the span area to render

### renderBlockArea

    public void renderBlockArea(BlockArea area)

  render a block area to XML
  Specified by:
    renderBlockArea in interface Renderer
  Parameters:
    `area` - the block area to render

### renderDisplaySpace

    public void renderDisplaySpace(DisplaySpace space)

  render a display space to XML
  Specified by:
    renderDisplaySpace in interface Renderer
  Parameters:
    `space` - the space to render

### renderForeignObjectArea

    public void renderForeignObjectArea(ForeignObjectArea area)

  render a foreign object area
  Specified by:
    renderForeignObjectArea in interface Renderer

### renderSVGArea

    public void renderSVGArea(SVGArea area)

  render an SVG area to XML
  Specified by:
    renderSVGArea in interface Renderer
  Parameters:
    `area` - the area to render

### renderImageArea

    public void renderImageArea(ImageArea area)

  render an image area to XML
  Specified by:
    renderImageArea in interface Renderer
  Parameters:
    `area` - the area to render

### renderWordArea

    public void renderWordArea(WordArea area)

  render an inline area to XML
  Specified by:
    renderWordArea in interface Renderer
  Parameters:
    `area` - the area to render

### renderInlineSpace

    public void renderInlineSpace(InlineSpace space)

  render an inline space to XML
  Specified by:
    renderInlineSpace in interface Renderer
  Parameters:
    `space` - the space to render

### renderLineArea

    public void renderLineArea(LineArea area)

  render a line area to XML
  Specified by:
    renderLineArea in interface Renderer
  Parameters:
    `area` - the area to render

### renderPage

    public void renderPage(Page page)

  render a page to XML
  Specified by:
    renderPage in interface Renderer
  Parameters:
    `page` - the page to render

### renderLeaderArea

    public void renderLeaderArea(LeaderArea area)

  render a leader area to XML
  Specified by:
    renderLeaderArea in interface Renderer
  Parameters:
    `area` - the area to render

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.